
#ifdef DEBUG
#include <stdio.h>
#include <sys/syscall.h>
#define sys_write(s) syscall(SYS_write, 2, (s), strlen(s))
#endif

fchown(fd, owner, group)
int fd;
int owner;
int group;
{
#ifdef DEBUG
	sys_write("called fchown\n");
#endif
	return pvfs_fchown(fd, owner, group);
	}

__fchown(fd, owner, group)
int fd;
int owner;
int group;
{
#ifdef DEBUG
	sys_write("called __fchown\n");
#endif
	return pvfs_fchown(fd, owner, group);
	}

__libc_fchown(fd, owner, group)
int fd;
int owner;
int group;
{
#ifdef DEBUG
	sys_write("called __libc_fchown\n");
#endif
	return pvfs_fchown(fd, owner, group);
	}
