#include <sys/types.h>

void *mmap(void  *start,  size_t length, int prot , int flags, int fd,
	off_t offset)
{
	return (void *)(pvfs_mmap(start, length, prot, flags, fd, offset));
}

void *__mmap(void  *start,  size_t length, int prot , int flags, int fd,
	off_t offset)
{
	return (void *)(pvfs_mmap(start, length, prot, flags, fd, offset));
}

int munmap(void *start, size_t length)
{
	return(pvfs_munmap(start, length));
}

int __munmap(void *start, size_t length)
{
	return(pvfs_munmap(start, length));
}

void *mremap(void *old_address, size_t old_size, size_t new_size,
	unsigned long flags)
{
	return((void *)pvfs_mremap(old_address, old_size, new_size, flags));
}

void *__mremap(void *old_address, size_t old_size, size_t new_size,
	unsigned long flags)
{
	return((void *)pvfs_mremap(old_address, old_size, new_size, flags));
}
