#include <sys/vfs.h>

int statfs(path, buf)
const char *path;
struct statfs *buf;
{
	return pvfs_statfs(path, buf);
}

int __statfs(path, buf)
const char *path;
struct statfs *buf;
{
	return pvfs_statfs(path, buf);
}

int __libc_statfs(path, buf)
const char *path;
struct statfs *buf;
{
	return pvfs_statfs(path, buf);
}

int fstatfs(fd, buf)
int fd;
struct statfs *buf;
{
	return pvfs_fstatfs(fd, buf);
}

int __fstatfs(fd, buf)
int fd;
struct statfs *buf;
{
	return pvfs_fstatfs(fd, buf);
}

int __libc_fstatfs(fd, buf)
int fd;
struct statfs *buf;
{
	return pvfs_fstatfs(fd, buf);
}
