/*
/* build_job.h copyright (c) 1996 Rob Ross, all rights reserved.
	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License as published
	by the Free Software Foundation; either version 2 of the License, or
	any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of 
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
	General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
	Contact:  Rob Ross  rbross@parl.eng.clemson.edu  or
				 Matt Cettei mcettei@parl.eng.clemson.edu
/*/

/*
/* BUILD_JOB.H -
/*
/*/

/*
 * $Log: build_job.h,v $
 * Revision 1.3  1997/10/27 20:58:10  pvfs
 * added license
 *
 * Revision 1.2  1997/03/13 21:34:15  rbross
 * functions renamed
 *
 * Revision 1.1  1997/02/26 20:45:46  rbross
 * Initial revision
 *
/*/

#ifndef BUILD_JOB_H
#define BUILD_JOB_H

static char build_job_h[] = "$Header: /projects/pvfs/pvfs-working/lib/RCS/build_job.h,v 1.3 1997/10/27 20:58:10 pvfs Exp $";


/* PVFS INCLUDES */
#include <desc.h>
#include <req.h>

int build_rw_jobs(fdesc_p f_p, char *buf_p, int size, int type);
void *add_accesses(fdesc_p f_p, int rl, int rs, char *buf_p, int type);
int build_rw_req(fdesc_p f_p, int size, ireq_p r_p, int type, int num);

#endif
