
#ifdef DEBUG
#include <stdio.h>
#include <sys/syscall.h>
#define sys_write(s) syscall(SYS_write, 2, (s), strlen(s))
#endif

chown(path, owner, group)
char *path;
int owner;
int group;
{
#ifdef DEBUG
	sys_write("called chown\n");
#endif
	return pvfs_chown(path, owner, group);
	}

__chown(path, owner, group)
char *path;
int owner;
int group;
{
#ifdef DEBUG
	sys_write("called __chown\n");
#endif
	return pvfs_chown(path, owner, group);
	}

__libc_chown(path, owner, group)
char *path;
int owner;
int group;
{
#ifdef DEBUG
	sys_write("called __libc_chown\n");
#endif
	return pvfs_chown(path, owner, group);
	}
