
#ifdef DEBUG
#include <stdio.h>
#include <sys/syscall.h>
#define sys_write(s) syscall(SYS_write, 2, (s), strlen(s))
#endif

lstat(path, buf)
char *path;
char *buf;
{
#ifdef DEBUG
	sys_write("called lstat\n");
#endif
	return pvfs_lstat(path, buf);
	}

__lstat(path, buf)
char *path;
char *buf;
{
#ifdef DEBUG
	sys_write("called __lstat\n");
#endif
	return pvfs_lstat(path, buf);
	}

__libc_lstat(path, buf)
char *path;
char *buf;
{
#ifdef DEBUG
	sys_write("called __libc_lstat\n");
#endif
	return pvfs_lstat(path, buf);
	}

prev_lstat(path, buf)
char *path;
char *buf;
{
#ifdef DEBUG
	sys_write("called prev_lstat\n");
#endif
	return pvfs_lstat(path, buf);
	}

__prev_lstat(path, buf)
char *path;
char *buf;
{
#ifdef DEBUG
	sys_write("called __prev_lstat\n");
#endif
	return pvfs_lstat(path, buf);
	}

__libc_prev_lstat(path, buf)
char *path;
char *buf;
{
#ifdef DEBUG
	sys_write("called __libc_prev_lstat\n");
#endif
	return pvfs_lstat(path, buf);
	}

__syscall_lstat(path, buf)
char *path;
char *buf;
{
#ifdef DEBUG
	sys_write("called __syscall_lstat\n");
#endif
	return pvfs_lstat(path, buf);
	}
